Passa al contenuto principale

ServerSnapshotPaginatedListResponse

Successful response with a page of ServerSnapshot

errorintegerrequired

Always 0 in a successful response

Constant value: 0
messagestring | nullnullablerequired

Always null in a successful response

data object[]required

Items of the page: an empty list beyond the last page

  • Array [
  • snapshot_idintegerrequired
    server_idintegerrequired

    Id of the server (GET /api/v3/servers/{server_id})

    snapshot_namestring | nullnullablerequired
    snapshot_referencestring | nullnullablerequired

    Id of the snapshot on the virtualization platform; null until the snapshot is created

    activebooleanrequired

    Whether the snapshot is active: false once it is deleted or expired. The list returns only active snapshots

    date_expirydate-timenullablerequired

    Date after which the snapshot is deleted automatically; null if it does not expire

    date_createddate-timenullablerequired
  • ]
  • meta objectrequired

    Pagination of the list

    totalintegerrequired

    Number of items in the whole list

    countintegerrequired

    Number of items in this page: 0 beyond the last page

    pagesintegerrequired

    Number of pages of the list

    pageintegerrequired

    Number of this page, starting from 1

    per_pageintegerrequired

    Maximum number of items in a page

    ServerSnapshotPaginatedListResponse
    {
    "error": 0,
    "message": "string",
    "data": [
    {
    "snapshot_id": 0,
    "server_id": 0,
    "snapshot_name": "string",
    "snapshot_reference": "string",
    "active": true,
    "date_expiry": "2024-07-29T15:51:28.071Z",
    "date_created": "2024-07-29T15:51:28.071Z"
    }
    ],
    "meta": {
    "total": 0,
    "count": 0,
    "pages": 0,
    "page": 0,
    "per_page": 0
    }
    }